
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>窥探Swift之新添数据类型元组与可选值 / iVAN</title>

    <meta name="description" content="窥探Swift之新添数据类型元组与可选值 今天的博客中就总结一下关于Swift中相对Objc新添加的两个数据类型:元组(Tuple)和可选值类型(Optional).上面这两个类型是Swift独有的类型,使用起来也是非常方便的,今天就通过一些示例来介绍一下如何初始化和使用元组和可选值类型以及使用元组和可选值类型的场景.废话少说,直奔主题,在今天的示例代码中仍然是使用Playground来测试的.左边是代码,右边是Playground中的结果. 一.Swift中的元组(Tuple) 元组类似于C语言中的结构体(Struct),用来存储一组">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">窥探Swift之新添数据类型元组与可选值</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　今天的博客中就总结一下关于Swift中相对Objc新添加的两个数据类型：元组（Tuple）和可选值类型（Optional）。上面这两个类型是Swift独有的类型，使用起来也是非常方便的，今天就通过一些示例来介绍一下如何初始化和使用元组和可选值类型以及使用元组和可选值类型的场景。废话少说，直奔主题，在今天的示例代码中仍然是使用Playground来测试的。左边是代码，右边是Playground中的结果。</p>
<p>一、Swift中的元组（Tuple）</p>
<p>　　元组类似于C语言中的结构体（Struct）,用来存储一组相关的值，并且允许这些相关值的类型不同。元组一般在数组返回多个值的时候使用。</p>
<p>　　　　1. 直接定义元组，不指定元组中元素的类型。定义元组的语法是直接使用一对小括号，括号中是由逗号分开的各个值。具体如下所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA2MTg0NzMxOTA5NDk1My5wbmc=.jpg"></p>
<p> </p>
<p>　　　　2.取出元组中的值，方式一：直接赋值给相应的常量（或者变量），下面这行代码就是直接把元组赋值给常量，在Swift中字符串之间的连接可以使用+号运算符。经过下面的语句就会把元组的值一次赋值给我们定义的常量。一句话概括："一个萝卜一个坑，对号入座"。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA2MTkyOTMzNzM3MzAyMS5wbmc=.jpg"></p>
<p> </p>
<p>　　　　3.还可以通过元组的下标索引来获取元素的值，元组的下标是从零开始的，下面是通过元组的下标来获取元组的元素值的。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MDk1NTQyMDQ5NTI0My5wbmc=.jpg"></p>
<p> </p>
<p>　　　　4.我们还可以显式的指定元组的每个元素的类型，下面就为元组student1每个元素指定了数据类型，前两个是字符串类型，后两个是整型。如果你尝试着给字符串类型的元素赋值整型数据，则编译器会报错，同时会提示元组每个元素指定的数据类型。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MDk1NjQyNjI3OTU2OC5wbmc=.jpg"></p>
<p> </p>
<p>　　　　5.给元组的每个元素赋上正确的值，就会在Playground上显示出每个元素应有的值。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MDk1NzE3OTcxNTk3MS5wbmc=.jpg"></p>
<p> </p>
<p>二、Swift中可选类型（Optional）</p>
<p>　　可选类型是Swift中新的类型，可选类型使得Swift的数据类型更为安全，可选类型可以说在Swift中扮演着重要的角色，它使得你的代码更为健壮，下面将会给出可选类型的使用场景。可选值，用大白话解释就是不确定这个变量或者常量中是否有值（有可能为nil），所以这个变量或常量的值是可选的。下面对optional进行详细介绍。</p>
<p>　　1.可选值类型是可以直接赋值nil,为了类型安全而普通的变量和常量是不可以直接赋值nil的如下所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MTEwNjI0MjY4MTU4OC5wbmc=.jpg"></p>
<p> </p>
<p>　　2. 定义可选值类型的语法是在类型声明后添加一个?号，说明这个变量的值是不确定的，所以喽就添加了一个？号。下面就是给可选值类型赋一个nil, 是不会报错的。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MTExMTUxNTk2NTQ4Ny5wbmc=.jpg"></p>
<p> </p>
<p>　　3.给可选类型变量赋一个值后，如果要使用这个可选变量的值，需要使用感叹号（!）强制打开，如果不使用感叹号（!）强制打开，编译器会报错。为什么要用感叹号强制打开可选变量的值呢？ 原因很简单，因为可选类型的值有可能为nil, 使用感叹号（!）强制打开的原因是告诉编译器"这个可选变量的值不为空，我要使用它”，强制打开后，在使用可选变量的值时，编译器就不会报错了。</p>
<p>　　下面optionalValue是可选类型的变量，并且把“ludashi”赋值给它，如果不使用！强制打开optionalValue的值的话，编译会抛红报错。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MTM1ODI5ODMwMTMzNy5wbmc=.jpg"></p>
<p> </p>
<p>　　4.来看一下可选类型的使用场景以及使用小实例。</p>
<p>　　　　（1）把字符串转换成整数时我们要用可选类型的变量（或者常量）来接受，因为我们不确定是否转换成功了，然后经过非空判断后，再使用感叹号（!）强制打开进行使用。</p>
<p>　　　　　　下面把一个数字字符串转换成整数，然后使用一个变量去接收，然后去判断这个变量是否为空，不为空就强制打开进行使用，下图转换后不为nil就会被强制打开然后使用。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MTQyMzI2MTkwNDQyNS5wbmc=.jpg"></p>
<p>　　　　　　</p>
<p>　　　　　　下面是转换后为nil的情况, 就不会做处理，因为判断为nil, 所以就不做处理。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MTQyNTQ3MzMwNTQwNC5wbmc=.jpg"></p>
<p> </p>
<p>　　　　（2）当你使用某个类的某个方法时，你不确定该类是否有这个方法，可以使用？来打开该可选值，然后再调用该类的方法。？号就是告诉编译器你不知道该类是否有该调用的方法，如果有就调用，如果没有就忽略。如下实例所示： </p>
<p><em><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MTU0OTI1MDY1MzQ1OS5wbmc=.jpg"></em></p>
<p> </p>
<p>　　　　　　如果numberInteger为nil的话, 就不会调用isEmpty, resultEmpty就会被赋值成nil，如下所示。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81NDU0NDYvMjAxNTA4LzA3MTU1MzU4MTc0Mzk1NS5wbmc=.jpg"></p>
<p> </p>
<p>　　关于元组和可选类型的使用还得在项目中结合具体的应用场景来使其发挥更大的作用，本篇博客就先通过一些小的实例来看一下元组和可选类型的使用方法和使用场景，举一反三才是最重要的。今天的博客就到这吧。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-24 06:24:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/swift/" title="swift">swift</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%bb%84/" title="元组">元组</a>, <a href="https://www.iamivan.net/tag/%e5%8f%af%e9%80%89%e7%b1%bb%e5%9e%8b/" title="可选类型">可选类型</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>窥探Swift之新添数据类型元组与可选值的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBe7oM.html" rel="bookmark">窥探Swift之基本数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇博客&quot;窥探Swift编程之在Playground上尽情的玩耍&quot;中介绍了如何使用Playground来学习Swift语言.本篇博客就使用Playground来窥探Swift语言.千里之行始于足下,当然了,除非你是坐的高铁或者飞机.还是那句话从基础开始吧,本篇博客主要介绍一下Swift的基本数据类型.Swift中的数据类型可谓是百花齐放百家争鸣,下面就来窥探一下Swift中的基本数据类型. 一.Swift中的变量和常量 1.关键字&quot;let&quot; 常量,顾名思义,常量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOl2Nqb.html" rel="bookmark">Swift基础语法（常量变量、数据类型、元组、可选、断言）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文来自Swift中文开发组,感谢翻译者的分享. 本文将分几部分对Swift对ios的语法做讲解.本文为第一节,主要讲解基础语法. 常量和变量 常量和变量把一个名字(比如maximumNumberOfLoginAttempts或者welcomeMessage)和一个指定类型的值(比如数字10或者字符串&quot;Hello&quot;)关联起来.常量的值一旦设定就不能改变,而变量的值可以随意更改. 声明常量和变量 常量和变量必须在使用前声明,用let来声明常量,用var来声明变量.下面的例子展示了如何用常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQN41oM.html" rel="bookmark">窥探Swift编程之强大的Switch</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前初识Swift中的Switch语句时,真的是让人眼前一亮,Swift中Switch语句有好多特有而且特好用的功能.说到Switch, 只要是写过程序的小伙伴对Switch并不陌生.其在程序中的出镜率还是比较高档.Switch属于程序的分支语句,Switch的功能便于处理多个分支的较为复杂点的逻辑分支.能用Switch实现的代码都可以使用多个if-else分支语句进行替换. 今天这篇博客就是要看一下Swift中的Switch的不同之处,来总结一下Switch不同的特性.在Swift语言中的Sw			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6Yg9b.html" rel="bookmark">窥探Swift之协议&lpar;Protocol&rpar;和委托代理&lpar;Delegate&rpar;回调的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				协议与委托代理回调在之前的博客中也是经常提到和用到的在&lt;Objective-C中的委托(代理)模式&gt;和&lt;iOS开发之窥探UICollectionViewController(四) --一款功能强大的自定义瀑布流&gt;等博客内容中都用到的Delegate回调.说到协议,在Objective-C中也是有协议的,并且Swift中的协议和Objc中的协议使用起来也是大同小异的,在Java等现代面向对象编程语言中有接口(Interface)的概念,其实和Swift中或者Objc中的Protoco			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AA43z.html" rel="bookmark">窥探Swift之别样的枚举类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				想必写过程序的童鞋对枚举类型并不陌生吧,使用枚举类型的好处是多多的,在这儿就不做过多的赘述了.Fundation框架和UIKit中的枚举更是数不胜数,枚举可以使你的代码更易阅读并且可以提高可维护性.在Swift语言中的枚举可谓是让人眼前一亮.在Swift中的枚举不仅保留了大部分编程语言中枚举的特性,同时还添加了一些好用而且实用的新特性,在本篇博客中将领略一些Swift中枚举类型的魅力. 有小伙伴会问,不就是枚举么,有什么好说的.在Swift中的枚举怎不然,Swift中的枚举的功能要强大的多,不仅			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKOoRb.html" rel="bookmark">窥探Swift编程之错误处理与异常抛出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Swift 2.0版本中,Swift语言对其错误处理进行了新的设计,当然了,重新设计后的结果使得该错误处理系统用起来更爽.今天博客的主题就是系统的搞一下Swift中的错误处理,以及看一下Swift中是如何抛出异常的.在编译型语言中,错误一般分为编译错误和运行时错误.我们平时在代码中处理的错误为运行时错误,我们对异常进行处理的操作的目的是为了防止程序出现错误而导致其他的副作用,比如用户数据未保存等等. 在今天的博客中,先给出主动产生异常的几种情况,然后再给出如何处理被动异常. 一.主动退出程序的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZ5nqb.html" rel="bookmark">窥探Swift编程中的错误处理与异常抛出&lowbar;Swift</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Swift 2.0版本中,Swift语言对其错误处理进行了新的设计,当然了,重新设计后的结果使得该错误处理系统用起来更爽.今天的主题就是系统的搞一下Swift中的错误处理,以及看一下Swift中是如何抛出异常的.在编译型语言中,错误一般分为编译错误和运行时错误.我们平时在代码中处理的错误为运行时错误,我们对异常进行处理的操作的目的是为了防止程序出现错误而导致其他的副作用,比如用户数据未保存等等. 在今天的文章中,先给出主动产生异常的几种情况,然后再给出如何处理被动异常. 一.主动退出程序的几种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNYdrb.html" rel="bookmark">Swift语言指南&lpar;六&rpar; Swift语言的可选值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在值可能不存在的情况下使用可选值(optional), 可选值是: · 存在一个值,这个值等于 x 或 · 不存在任何值 注: 在 C 和 Objective-C 中可选值的概念并不存在.Objective-C 中(与可选值)最相近的(概念)是,一个以对象为返回值的方法,也可以返回 nil,nil表示&quot;不存在有效的对象&quot;.不过,这规则只对对象有效--对于结构.基本的 C 类型或枚举值无效.对于这些类型,Objective-C 语言的方法通常会返回一个特殊值(如 NSNotFound)来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6Koqz.html" rel="bookmark">窥探Swift编程之别样的HelloWorld</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:窥探Swift编程之别样的HelloWorld 从今天就开始陆陆续续的发布一些有关Swift语言的东西,虽然目前在公司项目开发中Objective-C还是iOS开发的主力军,但是在不久的将来Swift将会成为iOS开发中的新生宠儿.所以在在Xcode6.0+版本的Playground上玩一玩Swift还是很有必要的.在接下来发表的博客中主要是总结一下自己在翻译&lt;Swift编程入门经典&gt;(清华大学出版社出版中)这本书所学到的东西.在翻译这本书的时候,自己是一名译者,但更是一名读者,拜读原著			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAknz3.html" rel="bookmark" class="title">Photoshop打造沙滩人物照片淡雅的黄绿色</a>
					<div>
						淡雅色也比较常用,画面比较特别.调色的时候要控制好色彩浓度,最好先把图片的整体色调调均匀后再润色,这可以可以更好的保持淡雅的风格. 原图 &lt;点小图查看大图&gt; 最终效果 &lt;点小图查看大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZEVOp.html" rel="bookmark" class="title">为什么涨工资的是我和他~~因为看重，所以优待</a>
					<div>
						写作原由: 之前我写过一篇博客,名叫&lt;为什么涨工资的是我和他&gt;,在开源中国发表之后收到了一些评论,有赞同观点的,也有嗤之以鼻的. 在看了那些评论以及进行了一些回复后,我有了一些其他的想法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAE02M.html" rel="bookmark" class="title">第五章5&period;15作业题</a>
					<div>
						/* *编一个程序,用成员函数重载运算符&quot;+&quot;和&quot;-&quot;,将 *两个二维数组相加和相减,要求第一个二维数组的 *值由构造函数设置,另一个二维数组的值由键盘输入.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0lP0M.html" rel="bookmark" class="title">JavaScript库开发者们的规则</a>
					<div>
						核心提示:JavaScript库开发者们的规则 1. 保持无侵入性 我的HTML标记不想知道你的JavaScript代码. 2. 严禁修改和扩展Object.prototype! 这条很重要,因此需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1dOKb.html" rel="bookmark" class="title">Photoshop婚纱图片调色&colon;青黄色调淡雅婚片</a>
					<div>
						素材图片主色为青黄色,不过色彩浓度还不够.处理的时候需要增加暗部的青色,同时还需要把肤色稍微调亮一点,总体干净融合即可.原图 最终效果 [1] [2] [3] [4] [5] [6]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX7g5M.html" rel="bookmark" class="title">PS打造一幅黑白乌鸦插画</a>
					<div>
						作者的表现力非常不错,整个画面仅用了一只乌鸦及一些羽化构成,虽然内容少不过视觉效果相当不错. 作者的表现力非常不错,整个画面仅用了一只乌鸦及一些羽化构成,虽然内容少不过视觉效果相当不错.尤其是色彩方面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A93Rp.html" rel="bookmark" class="title">Word 2007表格中设置行高度和列宽度</a>
					<div>
						在Word2007文档表格中,如果用户需要精确设置行的高度和列的高度,可以 在&quot;表格工具&quot;功能区设置精确数值,操作步骤如下所述: 第1步,打开Word2007文档窗口,在表格中选中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62njoM.html" rel="bookmark" class="title">LLsMP一键安装包及使用教程</a>
					<div>
						LLsMP顾名思义是Linux+LiteSpeed+MySQL+PHP的一套Web环境.相信可能大家对LNMP更熟悉一些,至于孰好孰坏,这里也不卖弄了,毕竟自己也是刚刚接触LLsMP,所以不方便多说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ3r6p.html" rel="bookmark" class="title">Win7系统提示print spooler错误怎么办？</a>
					<div>
						  一.Windows无法启动方法 1.打开电脑左下角[开始]菜单,找到[运行]选项,点击打开. 2.在弹出的运行对话框输入 services.msc 命令,点击确定. 3.进入服务项界面,找到 pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYwXOb.html" rel="bookmark" class="title">win7系统IP地址和网关地址怎么设置</a>
					<div>
						  win7系统IP地址和网关地址怎么设置             具体方法如下: 1.在电脑桌面的右下角点击这个上网的连接图标; 2.点开以后,看到一个连接的状态菜单,在里面点击&quot;打开网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj2LLb.html" rel="bookmark" class="title">完美解决Win8&period;1系统宽带连接651错误</a>
					<div>
						  装好Win8.1系统后每次开机宽带连接都要连接两次,总是很不爽,经过重装网卡驱动,重建宽带连接等无效方法后,小编终于为大家找到解决方法. 1.按windows+R键,在运行窗口中输入&quot;s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxre8b.html" rel="bookmark" class="title">MVC5 &plus; EF6 &plus; Bootstrap3 &lpar;15&rpar; 应用ModelState和Data Annotation做服务器端数据验证</a>
					<div>
						原文:MVC5 + EF6 + Bootstrap3 (15) 应用ModelState和Data Annotation做服务器端数据验证 Slark.NET-博客园 http://www.cnblo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRAP6z.html" rel="bookmark" class="title">Spring中你不知道的注入方式</a>
					<div>
						前言     在Spring配置文件中使用XML文件进行配置,实际上是让Spring执行了相应的代码,例如: 使用&lt;bean&gt;元素,实际上是让Spring执行无参或有参构造器 使用&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NKxWz.html" rel="bookmark" class="title">&lbrack;网摘学习&rsqb;Git版本恢复命令reset</a>
					<div>
						参考:http://www.tech126.com/git-reset/ reset命令有3种方式: git reset –mixed:此为默认方式,不带任何参数的git reset,即时这种方式,它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YrZ5M.html" rel="bookmark" class="title">Database Tuning Best Practices - A Success Story</a>
					<div>
						Introduction SaaS service providers must always consider the large number of users when designing an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr27rM.html" rel="bookmark" class="title">PCI设备驱动开发</a>
					<div>
						 PCI设备驱动开发 1. PCI 简介     PCI 总线标准是一种将系统外部设备连接起来的总线标准,是 PC 中最重要的总线,实际上是系统的各个部分如何交互的接口.传输速率可达到 133MB/s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAqr3M.html" rel="bookmark" class="title">web service-求助&colon;spring webservicetemplate访问webservice怎么设置超时时间？</a>
					<div>
						问题描述 求助:spring webservicetemplate访问webservice怎么设置超时时间? 客户端使用webservicetemplate访问,调用marshalSendAndRec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRndkp.html" rel="bookmark" class="title">美国最大医保公司Anthem再遭数据泄露，1&period;8万用户受影响</a>
					<div>
						本文讲的是美国最大医保公司Anthem再遭数据泄露,1.8万用户受影响, 美国知名医保企业Anthem最近真是麻烦不断,摁倒了葫芦起了瓢. 上个月Anthem刚刚就2015的信息泄露事件达成了1.15 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R5yAz.html" rel="bookmark" class="title">关于51ghsot网站首页被百度K掉的解决方法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 我要系统下载站,是我08年5月份抢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLB4Np.html" rel="bookmark" class="title">长江航运：三大商机涌现</a>
					<div>
						呼之欲出的内河运输振兴规划,长江和密西西比河战略合作协议,利好消息为长江旅游.运输.造船业带来商机,2009年亏损的长江航运企业借此商机将如何从困境中突围. 采写|&lt;小康·财智&gt;记者 胡柯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA9rAM.html" rel="bookmark" class="title">维基解密支持者计划攻击亚马逊网站</a>
					<div>
						维基解密网站截图 北京时间12月10日凌晨消息,部分支持维基解密的电脑黑客周三在Twitter上宣布,计划号召其他支持者使用自助黑客工具,攻击亚马逊网站Amazon.com. 这些黑客还放出了自助黑客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBmKkz.html" rel="bookmark" class="title">2011年度十大最红SEO牛人大奖投票报名开始</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 2011年度十大最红SEO牛人大奖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnDDAM.html" rel="bookmark" class="title">求教！如何添加数据时，自动把添加进来的编号设置为之前最大编号&plus;1啊。</a>
					<div>
						问题描述 添加一个样品,要求编号不用手写,只用填写样品名称,添加之后自动生成编号,设置为之前的最大编号+1,是在方法里写,不是数据库里主键自增长那种!有好心人解答吗. 解决方案 解决方案二:12312 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQrvBp.html" rel="bookmark" class="title">《计算机科学概论》&mdash;第1章1&period;3节计算工具与计算学科</a>
					<div>
						1.3 计算工具与计算学科 在计算机软件历史简介一节中,我们指出了用户角色的不断改变.在第一代软件末期,用户被划分为两组,即开发使程序设计更简单的工具的系统程序员和使用这些工具的应用程序员.此后,应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq5QJp.html" rel="bookmark" class="title">ESXi安全引导如何提升vSphere安全性？</a>
					<div>
						VMware vSphere 6.5增加了很多功能旨在改进虚拟机的安全性,并采用日志.报表以及被称为ESXi安全引导以及虚拟机安全引导的新特性增强安全细节信息. 管理员可以使用这些vSphere安全工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoJ5VM.html" rel="bookmark" class="title">《Java遗传算法编程》&mdash;&mdash; 1&period;2 生物学类比</a>
					<div>
						1.2 生物学类比 当早期的计算机科学家刚开始尝试建立人工智能系统时,他们常常向大自然寻求灵感,思考他们的算法的工作方式.通过创建模型,模仿自然界中发现的过程,计算机科学家能让他们的算法具有进化能力, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44e11z.html" rel="bookmark" class="title">IOS提醒用户重新授权打开定位功能&lowbar;IOS</a>
					<div>
						iOS 8及以上版本最不为人知的一个特点是与应用设置的深层链接,用户可以根据APP的需要授权启用位置.通知.联系人.相机.日历以及健康等设置. 大多数应用程序仅仅是弹出一个包含操作指令的警示窗口,如& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0xv7z.html" rel="bookmark" class="title">Android图片缓存之Lru算法（二）&lowbar;Android</a>
					<div>
						前言: 上篇我们总结了Bitmap的处理,同时对比了各种处理的效率以及对内存占用大小,点击查看.我们得知一个应用如果使用大量图片就会导致OOM(out of memory),那该如何处理才能近可能的降 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2n4VM.html" rel="bookmark" class="title">送段代码给大家</a>
					<div>
						下面的代码是调用的DirectX的组件实现的时钟.它有三根指针,会实时地随系统时间的改变而改变.不过我没有做刻度,因为我觉得用程序画出来的刻度不漂亮,用PHOTOSHOP画一口钟作为背景要漂亮多了.& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm3jqp.html" rel="bookmark" class="title">徐工的&OpenCurlyDoubleQuote;互联网＋工程机械&rdquo;之路</a>
					<div>
						12月16日,ZD至顶网和工业4.0协会主办的中国制造千人会(MIC1000)在上海召开.徐工信息技术股份有限公司总经理张启亮指出,随着IT技术的发展,企业与客户的互动发生了全然改变.以前:实体店比较 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
